Subject: bug#22060: 25.1.50; Fringe faces or not honored in 25.1.50.1 on OSX 10.11 installed via homebrew --use-git-head --cocoa

From: Henrik Nyman <[email-masked]>
Date: Mon, 24 Apr 2017 10:30:43 +0000

Can confirm that the bug is fixed on master now. Thanks for the quick
response!

-Henrik

On Mon, Apr 24, 2017 at 12:48 PM Alan Third <[email-masked]> wrote:

> On Sun, Apr 23, 2017 at 07:40:17PM +0000, Henrik Nyman wrote:
> > Referred to this issue at:
> >
> >   https://github.com/flycheck/flycheck/issues/811#issuecomment-296476404
> >
> >
> > I hope this helps with creating a proper fix.
>
> I’ve pushed a fix to the master branch. Can you please give it a try?
>
> > (there probably was a reason to save the foreground color in a
> > member variable in the first place).
>
> I think the old code just looked at the alpha channel to determine
> whether any particular pixel was background or foreground, but the new
> code uses the actual colour value.
>
> If you then change the foreground colour, you have to look for that
> new colour the next time you want to change it.
>
> I’m not really sure why that specific change was made. I can only
> assume that the alpha channel isn’t always a perfect guide.
> --
> Alan Third
>